Story # 3892 (Closed): Need a content viewing / rendering service

Design initial version of rendering service

2013-08-14 01:36 - Dave Vieglais

Status: Closed Start date: 2013-08-14

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

Goal of this task is to develop an initial design of a rendering service, including:

Identify the key metadadata elements to presented

Define the service interface URL end point

Indicate the processing to be done to display content for different situations, such as:

PID points to data component of a data package defined by a resource map, including science metadata

PID points to data with no associated metadata

PID refers to one of several data objects in a data package described by a single science metadata document

PID refers to one of several data objects in a data package with a science metadata document per data object

History

#1 - 2013-08-14 14:29 - Dave Vieglais

- Target version set to 2013.33-Block.4.4

#2 - 2014-01-06 17:48 - Dave Vieglais

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#3 - 2014-03-14 17:16 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.14-Block.2.3

#4 - 2014-04-04 21:38 - Chris Jones

- Status changed from New to In Progress

- Assignee changed from Ben Leinfelder to Chris Jones

Ben has worked on the view service such that the REST endpoint would support different themes for rendering.  The basic design is:

GET /views

[MNRead|CNRead].listViews() -> Types.ViewList

Displays a list of usable formats (themes) for rendering science metadata content, and marks the default format.  [Note: While this may be eventually

a useful API call, it is so far not prototyped, see https://projects.ecoinformatics.org/ecoinfo/issues/6029.  The returned ViewList type is undefined at

the moment.]

GET /views/{format}/{pid}

[MNRead|CNRead].getView(pid, format) -> Types.OctetStream

Renders the science metadata document using the given named format string.  If the format string is not recognized, renders the science metadata

using the default format. Note that the return type of Types.OctetStream requires that the consuming client has a priori knowledge of the format being

returned (like HTML).

The MNRead.getView() service has been prototyped in Metacat, see https://projects.ecoinformatics.org/ecoinfo/issues/5939.
#5 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-2.0.0

#6 - 2015-07-01 19:57 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
